## Xalan-C++ API Documentation

### The Xalan C++ XSLT Processor Version 1.6

Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members

# XPathExecutionContext::CurrentNodeSetAndRestore Class Reference

`#include <XPathExecutionContext.hpp>`

Collaboration diagram for XPathExecutionContext::CurrentNodeSetAndRestore:

List of all members.

## Public Methods

- CurrentNodeSetAndRestore ( XPathExecutionContext& theExecutionContext, XalanNode* theNewNode)
- CurrentNodeSetAndRestore ( XPathExecutionContext& theExecutionContext, XalanNode* theOldNode, XalanNode* theNewNode)
- ~CurrentNodeSetAndRestore ()

## Constructor & Destructor Documentation

XPathExecutionContext::CurrentNodeSetAndRestore::CurrentNodeSetAndRestore ( | XPathExecutionContext & theExecutionContext,
| XalanNode * theNewNode )

XPathExecutionContext::CurrentNodeSetAndRestore::CurrentNodeSetAndRestore ( | XPathExecutionContext & theExecutionContext,
| XalanNode * theOldNode,
| XalanNode * theNewNode )

XPathExecutionContext::CurrentNodeSetAndRestore::~CurrentNodeSetAndRestore ( | )`[]`

The documentation for this class was generated from the following file:

- XPathExecutionContext.hpp

Interpreting class diagrams

Doxygen and GraphViz are used to generate this API documentation from the Xalan-C header files.

Xalan-C++ XSLT Processor Version 1.6 Copyright © 2000, 2001, 2002, 2003 The Apache Software Foundation. All Rights Reserved.